Loading...
Searching...
No Matches
Dune::cpgrid::IdSet Class Reference

## Classes

struct | Codim
| Export supported entity types. More...

## Public Types

typedef std::int64_t | IdType

## Public Member Functions

| IdSet (const CpGridData &grid)
template<int cd>
IdType | id (const typename Codim< cd >::Entity &e) const
template<class EntityType>
IdType | id (const EntityType &e) const
template<int codim>
IdType | id (const cpgrid::EntityRep< codim > &e) const
IdType | id (const cpgrid::Intersection &intersection) const
| return id of intersection (here face number)
template<int cc>
IdType | subId (const cpgrid::Entity< 0 > &e, int i) const
IdType | subId (const cpgrid::Entity< 0 > &e, int i, int cc) const

## Static Public Attributes

static constexpr int | dimension = 3

## Friends

class | ReversePointGlobalIdSet
class | Dune::cpgrid::CpGridData

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Indexsets.hpp
- opm/grid/cpgrid/Indexsets.cpp